Bug 605634 - RHEL6 Developer Guide: Libraries and Runtime Support
Summary: RHEL6 Developer Guide: Libraries and Runtime Support
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Developer_Guide (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Don Domingo
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 561711
TreeView+ depends on / blocked
 
Reported: 2010-06-18 12:59 UTC by Michal Nowak
Modified: 2013-03-08 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 15:29:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Nowak 2010-06-18 12:59:31 UTC
Description of problem:

Re table: This versions are outdated and, one should check with current RHEL6-Beta2 and fix it.

Re Java in table: Bit misleading to me. Generally we have java v. 1.4.2, 1.5.0 and 1.6.0 (both proprietary and OpenJDK) in RHEL5, so just "1.4.2" is not true.

Re list of core libraries: Some of them are deprecated (e.g. libgnomeprint and libgnomeprintui) so we should check the list twice before we endorse those libs.

Re "Confirm that the RHEL3 compat is dropped?": We will ship even older compat packages for RHL 7 compatibility; see compat-gcc-* packages in Brew/trees.

Re 5.7.1: Just a note: we don't ship it.

Comment 2 RHEL Product and Program Management 2010-06-18 13:23:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Don Domingo 2010-06-21 01:37:51 UTC
(In reply to comment #0)
> Description of problem:
> 
> Re table: This versions are outdated and, one should check with current
> RHEL6-Beta2 and fix it.
> 

where can i find updated information for the table?

> Re Java in table: Bit misleading to me. Generally we have java v. 1.4.2, 1.5.0
> and 1.6.0 (both proprietary and OpenJDK) in RHEL5, so just "1.4.2" is not true.
> 

so Java RHEL5 includes 1.4.2 and 1.5.0 RHEL6 includes 1.6.0? also, do both RHEL5 and RHEL6 include proprietary and OpenJDK, or just in RHEL6? 

> Re list of core libraries: Some of them are deprecated (e.g. libgnomeprint and
> libgnomeprintui) so we should check the list twice before we endorse those
> libs.
> 

removed libgnomeprint and libgnomeprintui from list

> Re "Confirm that the RHEL3 compat is dropped?": We will ship even older compat
> packages for RHL 7 compatibility; see compat-gcc-* packages in Brew/trees.
> 

commented section removed in latest build.

> Re 5.7.1: Just a note: we don't ship it.    

what are you referring to here? please post a link to it, the latest build is available at:

http://brisvegas.bne.redhat.com/rhel6-devguide/eclipse-specfile.html

Comment 4 Michal Nowak 2010-06-28 08:36:07 UTC
(In reply to comment #3)
> (In reply to comment #0)
> > Description of problem:
> > 
> > Re table: This versions are outdated and, one should check with current
> > RHEL6-Beta2 and fix it.
> > 
> 
> where can i find updated information for the table?

You may look at

http://download.englab.brq.redhat.com/pub/rhel/nightly/latest-RHEL-6/6.0/Server/x86_64/os/Server/Packages/ and http://download.englab.brq.redhat.com/pub/rhel/nightly/latest-RHEL-6/6.0/Server/optional/x86_64/os/Packages/

however it's not authoritative. What I believe is authoritative is latest public (beta/RC) release. But the version number still may change before 6.0 GA -- you may want to strip the last number from version (e.g. gcc-4.4.4 -> gcc-4.4).

> 
> > Re Java in table: Bit misleading to me. Generally we have java v. 1.4.2, 1.5.0
> > and 1.6.0 (both proprietary and OpenJDK) in RHEL5, so just "1.4.2" is not true.
> > 
> 
> so Java RHEL5 includes 1.4.2 and 1.5.0 RHEL6 includes 1.6.0? also, do both
> RHEL5 and RHEL6 include proprietary and OpenJDK, or just in RHEL6? 

You may have a look to RHN or to Errata Tools (as I did) for RHEL 5 Java implementations. What I see: In RHEL5 we have both proprietary (IBM, Sun...) and free (OpenJDK, gcc-java) Java implementations.

* RHEL 5: 1.4.2 + 1.5.0 + 1.6.0 (from various parties, e.g. Sun, IBM... + OpenJDK)
* RHEL 6: 1.5.0 (IBM), 1.6.0 (IBM, OpenJDK) http://download.englab.brq.redhat.com/pub/rhel/rel-eng/RHEL6.0-Supplementary-20100610.0/6.0/Workstation/i386/os/Packages/

> 
> > Re list of core libraries: Some of them are deprecated (e.g. libgnomeprint and
> > libgnomeprintui) so we should check the list twice before we endorse those
> > libs.
> > 
> 
> removed libgnomeprint and libgnomeprintui from list
> 

Thanks.

> > Re "Confirm that the RHEL3 compat is dropped?": We will ship even older compat
> > packages for RHL 7 compatibility; see compat-gcc-* packages in Brew/trees.
> > 
> 
> commented section removed in latest build.
> 
> > Re 5.7.1: Just a note: we don't ship it.    
> 
> what are you referring to here? please post a link to it, the latest build is
> available at:
> 
> http://brisvegas.bne.redhat.com/rhel6-devguide/eclipse-specfile.html    

I guess I referred to some "newlib" quote which seems to me being removed.

Comment 5 Don Domingo 2010-06-29 02:31:54 UTC
(In reply to comment #4)

<snip>

> however it's not authoritative. What I believe is authoritative is latest
> public (beta/RC) release. But the version number still may change before 6.0 GA
> -- you may want to strip the last number from version (e.g. gcc-4.4.4 ->
> gcc-4.4).
> 

Done:
http://brisvegas.bne.redhat.com/rhel6-devguide/index-single.html#libraries


> > 
> > > Re Java in table: Bit misleading to me. Generally we have java v. 1.4.2, 1.5.0
> > > and 1.6.0 (both proprietary and OpenJDK) in RHEL5, so just "1.4.2" is not true.
> > > 
> > 
> > so Java RHEL5 includes 1.4.2 and 1.5.0 RHEL6 includes 1.6.0? also, do both
> > RHEL5 and RHEL6 include proprietary and OpenJDK, or just in RHEL6? 
> 
> You may have a look to RHN or to Errata Tools (as I did) for RHEL 5 Java
> implementations. What I see: In RHEL5 we have both proprietary (IBM, Sun...)
> and free (OpenJDK, gcc-java) Java implementations.
> 
> * RHEL 5: 1.4.2 + 1.5.0 + 1.6.0 (from various parties, e.g. Sun, IBM... +
> OpenJDK)
> * RHEL 6: 1.5.0 (IBM), 1.6.0 (IBM, OpenJDK)
> http://download.englab.brq.redhat.com/pub/rhel/rel-eng/RHEL6.0-Supplementary-20100610.0/6.0/Workstation/i386/os/Packages/
> 

Done, same link

<snip>

thanks for your help on this Michal. please check the revisions; setting this BZ as NEEDINFO. if the edits are okay, please just cancel the NEEDINFO and set the BZ to MODIFIED.

Comment 17 Michael Doyle 2010-08-18 06:53:32 UTC
Don, can you put the update on documentation stage so we can verify?

Can't see it in Red_Hat_Enterprise_Linux-Developer_Guide-6-en-US-0-18.

Comment 18 Don Domingo 2010-08-18 22:18:24 UTC
ugh, sorry, i thought i tagged this already. 

anyhow, done:

Created task: 2691351
Task info: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2691351
[...]
[ddomingo@kratos Developer_Guide]$ pubbrewpriv Red_Hat_Enterprise_Linux-Developer_Guide-6-web-en-US-0-19.el5
Created task 2691376
Watching tasks (this may be safely interrupted)...
2691376 tagBuild (noarch): open (ppc-009.build.bos.redhat.com)
2691376 tagBuild (noarch): open (ppc-009.build.bos.redhat.com) -> closed
  0 free  0 open  1 done  0 failed
2691376 tagBuild (noarch) completed successfully

Comment 19 Michael Doyle 2010-08-23 07:23:38 UTC
Verified in Red_Hat_Enterprise_Linux-Developer_Guide-6-en-US-0-19.

Comment 20 releng-rhel@redhat.com 2010-11-11 15:29:28 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.